import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { StringNullableFilterObjectSchema as StringNullableFilterObjectSchema } from './StringNullableFilter.schema'

const claimfilescalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => ClaimFileScalarWhereInputObjectSchema), z.lazy(() => ClaimFileScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => ClaimFileScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => ClaimFileScalarWhereInputObjectSchema), z.lazy(() => ClaimFileScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  claimId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  filename: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  mimeType: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  filePath: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable()
}).strict();
export const ClaimFileScalarWhereInputObjectSchema: z.ZodType<Prisma.ClaimFileScalarWhereInput> = claimfilescalarwhereinputSchema as unknown as z.ZodType<Prisma.ClaimFileScalarWhereInput>;
export const ClaimFileScalarWhereInputObjectZodSchema = claimfilescalarwhereinputSchema;
